<#macro getFormHtml childCtrl>
<view_${childCtrl.getName()}
    v-show="<#if childCtrl.getUserTag?? && childCtrl.getUserTag()?? && childCtrl.getUserTag() == 'VIEW'>!editMode<#else>editMode</#if>"
    :viewState="viewState"  
    :viewparams="viewparams" 
    :context="context"
    :pViewCtx="viewCtx"
    :autosave="${childCtrl.isEnableAutoSave()?c}" 
    :viewtag="viewtag" 
    :showBusyIndicator="${childCtrl.isShowBusyIndicator()?c}"  
    updateAction="<#if childCtrl.getUpdatePSControlAction()?? && childCtrl.getUpdatePSControlAction().getPSAppDEMethod()??>${childCtrl.getUpdatePSControlAction().getPSAppDEMethod().getCodeName()}</#if>"
    removeAction="<#if childCtrl.getRemovePSControlAction()?? && childCtrl.getRemovePSControlAction().getPSAppDEMethod()??>${childCtrl.getRemovePSControlAction().getPSAppDEMethod().getCodeName()}</#if>"
    loaddraftAction="<#if childCtrl.getGetDraftPSControlAction()?? && childCtrl.getGetDraftPSControlAction().getPSAppDEMethod()??>${childCtrl.getGetDraftPSControlAction().getPSAppDEMethod().getCodeName()}</#if>"
    loadAction="<#if childCtrl.getGetPSControlAction()?? && childCtrl.getGetPSControlAction().getPSAppDEMethod()??>${childCtrl.getGetPSControlAction().getPSAppDEMethod().getCodeName()}</#if>"
    createAction="<#if childCtrl.getCreatePSControlAction()?? && childCtrl.getCreatePSControlAction().getPSAppDEMethod()??>${childCtrl.getCreatePSControlAction().getPSAppDEMethod().getCodeName()}</#if>"
    WFSubmitAction="<#if childCtrl.getWFSubmitPSControlAction()?? && childCtrl.getWFSubmitPSControlAction().getPSAppDEMethod()??>${childCtrl.getWFSubmitPSControlAction().getPSAppDEMethod().getCodeName()}</#if>"
    WFStartAction="<#if childCtrl.getWFStartPSControlAction()?? && childCtrl.getWFStartPSControlAction().getPSAppDEMethod()??>${childCtrl.getWFStartPSControlAction().getPSAppDEMethod().getCodeName()}</#if>"
    style="<#if childCtrl.getWidth()?? && childCtrl.getWidth() gt 0>width: ${childCtrl.getWidth()?c}px</#if><#if childCtrl.getHeight() gt 0>height: ${childCtrl.getHeight()?c}px</#if>" 
    name="${childCtrl.name}"  
    ref='${childCtrl.name}' 
    @load="formLoadFinish($event)"
    @save="formSaveFinish($event)"
    @remove="formSaveFinish($event)"
    @closeview="closeView($event)">
</view_${childCtrl.getName()}>
</#macro>
<div class="view-container ${view.getViewType()?lower_case} ${srffilepath2(view.getCodeName())}<#if view.getPSSysCss?? && view.getPSSysCss()??> ${view.getPSSysCss().getCssName()}</#if>">
    <card class='view-card<#if !view.isShowCaptionBar()> view-no-caption</#if> <#if !view.hasPSControl('toolbar')> view-no-toolbar</#if>' :disHover="true" :bordered="false">

<#if view.isShowCaptionBar()>
    <div slot='title' class="header-container">
    <#if view.isShowCaptionBar()>
      	<#if view.getPSSysImage()??>
      		<#assign viewimg = view.getPSSysImage()/>
    		<#if viewimg.getImagePath() !=  ''>
        <span class='caption-image'><i class='${viewimg.getCssClass()}'></i></span>
    		<#else>
        <span class='caption-image'><img src='${viewimg.getImagePath()}'/></span>
    		</#if>
    	</#if>
        <span class='caption-info'>{{model.srfCaption}}</span>
  	</#if>
    </div>
</#if>

<#--  BEGIN：视图顶部视图消息  -->
<@ibizindent blank=8>
<#ibizinclude>
../@MACRO/View_Pos_Top_Msgs.vue.ftl
</#ibizinclude>
</@ibizindent>
<#--  END：视图顶部视图消息  -->
        <div class="content-container">
<#--  BEGIN：视图内容区视图消息  -->
<@ibizindent blank=8>
<#ibizinclude>
../@MACRO/View_Pos_Body_Msgs.vue.ftl
</#ibizinclude>
</@ibizindent>
<#--  END：视图内容区视图消息  -->
<#list view.getPSControls() as childCtrl>
    <#if childCtrl.getControlType() == 'FORM'>
       <@getFormHtml childCtrl=childCtrl/>
    </#if>
</#list>
        </div>
<#--  BEGIN：视图底部视图消息  -->
<@ibizindent blank=8>
<#ibizinclude>
../@MACRO/View_Pos_Bottom_Msgs.vue.ftl
</#ibizinclude>
</@ibizindent>
<#--  END：视图底部视图消息  -->
<#if view.hasPSControl('toolbar')>
        <div class="view-footer">
    <#list view.getPSControls() as childCtrl>
        <#if childCtrl.getControlType() == 'TOOLBAR'>
	    <template v-if="<#if childCtrl.getUserTag?? && childCtrl.getUserTag()?? && childCtrl.getUserTag() == 'VIEW'>!editMode<#else>editMode</#if>">
		<@ibizindent blank=4>
		${P.getCtrlCode(childCtrl, 'CONTROL.html').code}<#t>
		</@ibizindent>
	    </template>
        </#if>
    </#list>
        </div>
</#if>
    </card>
</div>